#include <gsl/gsl_rng.h>

/* Data structure for a markov chain */
typedef struct {
  double matrix[3][3];	/* transition matrix */
  double pi[3];		/* pi distribution */
} markov_chain;

/* Prototypes for markov.c */

int computePiDistribution(markov_chain *chain);

int pickAmongThree(double *p, gsl_rng *rng);

